%global jambackgrounds 1.0.1

Name:       fedora-jam-kde-theme
Version:    1.0.1
Release:    7%{?dist}
Summary:    Fedora Jam KDE Theme

Group:      User Interface/Desktops
License:    GPLv2+ and CC-BY-SA

# hosted git://git.fedorahosted.org/music-creation.git/fedora-jam-kde-theme
# sh fedora-jam-backgrounds-snapshot.sh <git-revision>
URL:        https://fedoraproject.org/wiki/Fedora_jam
Source0:    http://bsjones.fedorapeople.org/projects/%{name}/%{name}-%{version}.tar.xz
Source1:    fedora-jam-kde-theme-snapshot.sh
BuildArch:  noarch
BuildRequires:  kde-filesystem
BuildRequires:  spherical-cow-kde-theme
BuildRequires:  caledonia-kde-theme
Requires:   kde-filesystem
Requires:   system-logos
Requires:   fedora-jam-backgrounds-kde >= %{jambackgrounds}
Requires:   spherical-cow-kde-theme
Requires:   caledonia-kde-theme
Requires:   kfaenza-icon-theme

Provides:   fedora-jam-plasma-desktoptheme = %{version}-%{release}

%description
This is the Fedora Jam KDE Theme. It inherits the Caledonia KDE theme
and uses KFaenza icon set

%prep
%setup -q

%build
# blank

%install

### KDM
mkdir -p %{buildroot}%{_kde4_appsdir}/kdm/themes/
cp -rp kdm/FedoraJam/ %{buildroot}%{_kde4_appsdir}/kdm/themes/
pushd %{buildroot}%{_kde4_appsdir}/kdm/themes/FedoraJam/
# inherit spherical cow icons
ln -s ../SphericalCow/*.png .
popd

### Plasma desktoptheme's
mkdir -p %{buildroot}%{_kde4_appsdir}/desktoptheme/
cp -rp desktoptheme/Fedora_Jam/ %{buildroot}%{_kde4_appsdir}/desktoptheme/
cp -rp desktoptheme/Fedora_Jam-netbook/ %{buildroot}%{_kde4_appsdir}/desktoptheme/
caledonia="colors  dialogs  icons  icontasks  lancelot  opaque  rssnow  stylesheets  wallpapers  widgets"
pushd desktoptheme/Fedora_Jam/
for i in $caledonia 
do
    ln -s ../Caledonia/$i %{buildroot}%{_kde4_appsdir}/desktoptheme/Fedora_Jam
done;
popd
pushd desktoptheme/Fedora_Jam-netbook/

for i in $caledonia 
do
    ln -s ../Caledonia/$i %{buildroot}%{_kde4_appsdir}/desktoptheme/Fedora_Jam-netbook
done;
popd

## KSplash
mkdir -p %{buildroot}%{_kde4_appsdir}/ksplash/Themes/
cp -rp ksplash/FedoraJam/ %{buildroot}%{_kde4_appsdir}/ksplash/Themes/
ln -s ../../../../../../backgrounds/fedora-jam/default/standard/fedora-jam.png \
  %{buildroot}%{_kde4_appsdir}/ksplash/Themes/FedoraJam/2048x1536/
mkdir %{buildroot}%{_kde4_appsdir}/ksplash/Themes/FedoraJam/1920x1200/
ln -s ../../../../../../backgrounds/fedora-jam/default/wide/fedora-jam.png \
  %{buildroot}%{_kde4_appsdir}/ksplash/Themes/FedoraJam/1920x1200/Fedora_Jam.png
mkdir %{buildroot}%{_kde4_appsdir}/ksplash/Themes/FedoraJam/1280x1024/
ln -s ../../../../../../backgrounds/fedora-jam/default/normalish/fedora-jam.png \
  %{buildroot}%{_kde4_appsdir}/ksplash/Themes/FedoraJam/1280x1024/Fedora_Jam.png
# ksplash icons from Spherical cow theme
ln -s  %{_kde4_appsdir}/ksplash/Themes/SphericalCow/2048x1536/*.png \
  %{buildroot}%{_kde4_appsdir}/ksplash/Themes/FedoraJam/2048x1536/

mkdir -p %{buildroot}/etc/skel/.kde/share/config

#set the default theme 
cat >> %{buildroot}/etc/skel/.kde/share/config/plasmarc << EOF
[%{version}]
update_info=plasma_popupapplet_fix_groups.upd:PlasmaPopupAppletFixGroups2
[Theme]
name=Fedora_Jam
[Theme-plasma-netbook]
name=Fedora_Jam-netbook
[Icons]
Theme=KFaenza
EOF

#Set icon theme
cat >> %{buildroot}/etc/skel/.kde/share/config/kdeglobals << EOF
[Icons]
Theme=KFaenza
EOF

#set defaut splash
cat >> %{buildroot}/etc/skel/.kde/share/config/ksplashrc << EOF
[KSplash]
Engine=KSplashX
Theme=FedoraJam
EOF



%files
%doc README COPYING.CC-BY-SA COPYING.GPLv2
%{_kde4_appsdir}/desktoptheme/Fedora_Jam/
%{_kde4_appsdir}/desktoptheme/Fedora_Jam-netbook/
%{_kde4_appsdir}/ksplash/Themes/FedoraJam/
%{_kde4_appsdir}/kdm/themes/FedoraJam
%{_sysconfdir}/skel/.kde/share/config/ksplashrc
%{_sysconfdir}/skel/.kde/share/config/kdeglobals
%{_sysconfdir}/skel/.kde/share/config/plasmarc


%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Dec 10 2012 Brendan Jones <brendan.jones.it@gmail.com> 1.0.1-3
- Correct typo in default splash

* Tue Dec 04 2012 Jørn Lomax <northlomax@gmail.com> 1.0.1-2
- added lines to set defualts for all new users 
* Mon Nov 12 2012 Brendan Jones <brendan.jones.it@gmail.com> 1.0.1-1
- New 1.0.1

* Sat Oct 27 2012 Brendan Jones <brendan.jones.it@gmail.com> 0.0.1-1
- Initial package

